USE COWS
GO

declare @uid int = -1
if not exists (select 'x' from dbo.lk_user with (nolock) where USER_ADID='INT-OPS1')
begin
select @uid = max(user_id) from lk_user with (nolock)
set @uid = @uid + 1
INSERT INTO dbo.LK_USER([USER_ID], USER_ADID,FULL_NME,USER_ACF2_ID, EMAIL_ADR,REC_STUS_ID, CREAT_BY_USER_ID, CREAT_DT)	
    VALUES (@uid, 'INT-OPS1', 'INT-OPS1-EVENT@sprint.com' , 'INT-OPS1' , 'INT-OPS1-EVENT@sprint.com','1', 1, GETDATE())
end
else
select @uid = [user_id] from dbo.LK_USER WITH (NOLOCK) WHERE [USER_ADID]='INT-OPS1'
DELETE FROM dbo.[MAP_USR_PRF] WHERE [user_id]=@uid
INSERT [dbo].[MAP_USR_PRF] ([USER_ID], [USR_PRF_ID], [REC_STUS_ID], [MODFD_DT], [CREAT_DT], [MODFD_BY_USER_ID], [CREAT_BY_USER_ID], [POOL_CD])
SELECT @uid, 32, 1, NULL, GETDATE(), NULL, 1, NULL
UNION
SELECT @uid, 130, 1, NULL, GETDATE(), NULL, 1, NULL

delete from USER_GRP_ROLE WHERE [user_id]=@uid
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 2,23,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 10,23,1,1,GETDATE()

set @uid = -1
if not exists (select 'x' from dbo.lk_user with (nolock) where USER_ADID='INT-OPS2')
begin
select @uid = max(user_id) from lk_user with (nolock)
set @uid = @uid + 1
INSERT INTO dbo.LK_USER([USER_ID], USER_ADID,FULL_NME,USER_ACF2_ID, EMAIL_ADR,REC_STUS_ID, CREAT_BY_USER_ID, CREAT_DT)	
    VALUES (@uid, 'INT-OPS2', 'INT-OPS2-EVENT@sprint.com' , 'INT-OPS2' , 'INT-OPS2-EVENT@sprint.com','1', 1, GETDATE())
end
else
select @uid = [user_id] from dbo.LK_USER WITH (NOLOCK) WHERE [USER_ADID]='INT-OPS2'
DELETE FROM dbo.[MAP_USR_PRF] WHERE [user_id]=@uid
INSERT [dbo].[MAP_USR_PRF] ([USER_ID], [USR_PRF_ID], [REC_STUS_ID], [MODFD_DT], [CREAT_DT], [MODFD_BY_USER_ID], [CREAT_BY_USER_ID], [POOL_CD])
SELECT @uid, 32, 1, NULL, GETDATE(), NULL, 1, NULL
UNION
SELECT @uid, 130, 1, NULL, GETDATE(), NULL, 1, NULL

delete from USER_GRP_ROLE WHERE [user_id]=@uid
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 2,23,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 10,23,1,1,GETDATE()

set @uid = -1

if not exists (select 'x' from dbo.lk_user with (nolock) where USER_ADID='INT-OPS3')
begin
select @uid = max(user_id) from lk_user with (nolock)
set @uid = @uid + 1
INSERT INTO dbo.LK_USER([USER_ID], USER_ADID,FULL_NME,USER_ACF2_ID, EMAIL_ADR,REC_STUS_ID, CREAT_BY_USER_ID, CREAT_DT)	
    VALUES (@uid, 'INT-OPS3', 'INT-OPS3-EVENT@sprint.com' , 'INT-OPS3' , 'INT-OPS3-EVENT@sprint.com','1', 1, GETDATE())
end
else
select @uid = [user_id] from dbo.LK_USER WITH (NOLOCK) WHERE [USER_ADID]='INT-OPS3'
DELETE FROM dbo.[MAP_USR_PRF] WHERE [user_id]=@uid
INSERT [dbo].[MAP_USR_PRF] ([USER_ID], [USR_PRF_ID], [REC_STUS_ID], [MODFD_DT], [CREAT_DT], [MODFD_BY_USER_ID], [CREAT_BY_USER_ID], [POOL_CD])
SELECT @uid, 32, 1, NULL, GETDATE(), NULL, 1, NULL
UNION
SELECT @uid, 130, 1, NULL, GETDATE(), NULL, 1, NULL

delete from USER_GRP_ROLE WHERE [user_id]=@uid
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 2,23,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 10,23,1,1,GETDATE()

set @uid = -1
select @uid = [user_id] from lk_user with (nolock) where EMAIL_ADR like '%neil.flowers@sprint.com%'
if (@uid!=-1)
begin
delete from COWS.dbo.USER_GRP_ROLE where [user_id]=@uid
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 1,25,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 5,21,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 5,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 5,25,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 5,26,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 5,42,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 5,50,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 6,21,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 6,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 6,25,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 6,26,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 6,42,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 6,50,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,21,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,25,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,26,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,42,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,50,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,77,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,78,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,79,1,1,GETDATE()
end

set @uid = -1
select @uid = [user_id] from lk_user with (nolock) where EMAIL_ADR like '%Peter.Jones@sprint.com%'
if (@uid!=-1)
begin
delete from COWS.dbo.USER_GRP_ROLE where [user_id]=@uid
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 5,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 6,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 5,22,1,1,GETDATE()
end

set @uid = -1
select @uid = [user_id] from lk_user with (nolock) where EMAIL_ADR like '%Brian.B.Feldmann@sprint.com%'
if (@uid!=-1)
begin
delete from COWS.dbo.USER_GRP_ROLE where [user_id]=@uid
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,24,1,1,GETDATE()
end

set @uid = -1
select @uid = [user_id] from lk_user with (nolock) where EMAIL_ADR like '%Dirk.Friedrich@sprint.com%'
if (@uid!=-1)
begin
delete from COWS.dbo.USER_GRP_ROLE where [user_id]=@uid
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 5,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 6,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,24,1,1,GETDATE()
end

set @uid = -1
select @uid = [user_id] from lk_user with (nolock) where EMAIL_ADR like '%Klaus.H.Larsen@sprint.com%'
if (@uid!=-1)
begin
delete from COWS.dbo.USER_GRP_ROLE where [user_id]=@uid
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 5,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 6,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,24,1,1,GETDATE()
end

set @uid = -1
select @uid = [user_id] from lk_user with (nolock) where EMAIL_ADR like '%Zoran.Marinkovic@sprint.com%'
if (@uid!=-1)
begin
delete from COWS.dbo.USER_GRP_ROLE where [user_id]=@uid
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 5,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 6,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,24,1,1,GETDATE()
end

set @uid = -1
select @uid = [user_id] from lk_user with (nolock) where EMAIL_ADR like '%Rahim.Valliani@sprint.com%'
if (@uid!=-1)
begin
delete from COWS.dbo.USER_GRP_ROLE where [user_id]=@uid
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 5,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 6,24,1,1,GETDATE()
INSERT INTO COWS.dbo.USER_GRP_ROLE (USER_ID, GRP_ID, ROLE_ID,REC_STUS_ID,CREAT_BY_USER_ID,CREAT_DT) SELECT @uid, 7,24,1,1,GETDATE()
end